*路径宏定义
global datapath "数据存储路径" //设置数据存储路径


use "$datapath\data.dta", clear
*描述性统计
tabstat  C_all C_city C_rural Proc gdp people fin  cindus2 cindus3 stu  ins, statistics(N mean sd p5 p25 p50 p75 p95)

*基准回归  表1 
reg C_all Proc   gdp people fin  cindus2 cindus3 stu  ins i.area i.year, r
reg C_city Proc   gdp people fin  cindus2 cindus3 stu  ins i.area i.year, r
reg C_rural Proc   gdp people fin  cindus2 cindus3 stu  ins i.area i.year, r


*非线性关系分析  表2 
reg C_all Proc Proc2  gdp people fin  cindus2 cindus3 stu  ins i.area i.year, r
utest  Proc Proc2 , fieller 
reg C_city Proc Proc2  gdp people fin  cindus2 cindus3 stu  ins i.area i.year, r
utest  Proc Proc2 , fieller 
reg C_rural Proc Proc2  gdp people fin  cindus2 cindus3 stu  ins i.area i.year, r
utest  Proc Proc2 , fieller
sum Proc


*内生性与稳健性检验

**替换被解释变量_消费总量
reg C_all_t Proc   gdp people fin  cindus2 cindus3 stu  ins i.area i.year, r
reg C_city_t Proc   gdp people fin  cindus2 cindus3 stu  ins i.area i.year, r
reg C_rural_t Proc   gdp people fin  cindus2 cindus3 stu  ins i.area i.year, r

**替换被解释变量_家庭消费
use "$datapath\data_family.dta", clear
reg  C_family Proc eth age  gender  employ qn qp eduy i.year i.area, r
reg  C_family Proc gdp people fin  cindus2 cindus3 stu  ins i.area i.year, r
reg  C_family Proc gdp people fin  cindus2 cindus3 stu  ins  eth age  gender  employ qn qp eduy i.year i.area, r

**工具变量法
use "$datapath\data.dta", clear
ivreg2 C_all (Proc= street ) gdp people fin  cindus2 cindus3 stu  ins i.area i.year, r first
ivreg2 C_city (Proc= street ) gdp people fin  cindus2 cindus3 stu  ins i.area i.year, r first
ivreg2 C_rural (Proc= street ) gdp people fin  cindus2 cindus3 stu  ins i.area i.year, r first

**非线性关系补充检验
reg  tax Proc  gdp people fin  cindus2 cindus3 stu  ins i.area i.year, r
reg govpress Proc  gdp people fin  cindus2 cindus3 stu  ins i.area i.year, r
reg efficiency  Proc  gdp people fin  cindus2 cindus3 stu  ins i.area i.year , r

**替换解释变量
reg C_all Proc_n   gdp people fin  cindus2 cindus3 stu  ins i.area i.year, r
reg C_city Proc_n   gdp people fin  cindus2 cindus3 stu  ins i.area i.year, r
reg C_rural Proc_n   gdp people fin  cindus2 cindus3 stu  ins i.area i.year, r

**采用聚类稳健标准误
reg C_all Proc  gdp people fin  cindus2 cindus3 stu  ins i.area i.year, vce(cluster id)
reg C_city Proc  gdp people fin  cindus2 cindus3 stu  ins i.area i.year, vce(cluster id)
reg C_rural Proc  gdp people fin  cindus2 cindus3 stu  ins i.area i.year, vce(cluster id)

**排除时滞效应
reg F.C_all Proc   gdp people fin  cindus2 cindus3 stu  ins i.area i.year, r
reg F.C_city Proc   gdp people fin  cindus2 cindus3 stu  ins i.area i.year, r
reg F.C_rural Proc   gdp people fin  cindus2 cindus3 stu  ins i.area i.year, r

reg C_all  Proc_f  gdp people fin  cindus2 cindus3 stu  ins i.area i.year , r
reg C_city  Proc_f  gdp people fin  cindus2 cindus3 stu  ins i.area i.year , r
reg C_rural  Proc_f  gdp people fin  cindus2 cindus3 stu  ins i.area i.year , r

**异地采购效应
reg C_all Proc_u gdp people fin  cindus2 cindus3 stu  ins i.area i.year, r
reg C_city Proc_u gdp people fin  cindus2 cindus3 stu  ins i.area i.year, r
reg C_rural Proc_u gdp people fin  cindus2 cindus3 stu  ins i.area i.year, r

reg C_all Proc Proc_u gdp people fin  cindus2 cindus3 stu  ins i.area i.year, r
reg C_city Proc Proc_u gdp people fin  cindus2 cindus3 stu  ins i.area i.year, r
reg C_rural Proc Proc_u gdp people fin  cindus2 cindus3 stu  ins i.area i.year, r

**排除"年底突击花钱"问题
reg C_all Proc diff   gdp people fin  cindus2 cindus3 stu  ins i.area i.year, r
reg C_city Proc diff  gdp people fin  cindus2 cindus3 stu  ins i.area i.year, r
reg C_rural Proc diff   gdp people fin  cindus2 cindus3 stu  ins i.area i.year, r


*异质性分析
**居民收入特征的异质性
reg C_all Proc   gdp people fin  cindus2 cindus3 stu  ins i.area i.year if high_a==1 , r
reg C_all Proc   gdp people fin  cindus2 cindus3 stu  ins i.area i.year if high_a==0 , r

reg C_city Proc   gdp people fin  cindus2 cindus3 stu  ins i.area i.year if high_c==1  , r
reg C_city Proc   gdp people fin  cindus2 cindus3 stu  ins i.area i.year if high_c==0  , r

reg C_rural Proc   gdp people fin  cindus2 cindus3 stu  ins i.area i.year if high_r==1   , r
reg C_rural Proc   gdp people fin  cindus2 cindus3 stu  ins i.area i.year if high_r==0   , r

**企业规模的异质性
reg C_all sProc   gdp people fin  cindus2 cindus3 stu  ins i.area i.year, r
reg C_all mProc   gdp people fin  cindus2 cindus3 stu  ins i.area i.year, r
reg C_all lProc   gdp people fin  cindus2 cindus3 stu  ins i.area i.year, r

reg C_city sProc   gdp people fin  cindus2 cindus3 stu  ins i.area i.year, r
reg C_city mProc   gdp people fin  cindus2 cindus3 stu  ins i.area i.year, r
reg C_city lProc   gdp people fin  cindus2 cindus3 stu  ins i.area i.year, r

reg C_rural sProc   gdp people fin  cindus2 cindus3 stu  ins i.area i.year, r
reg C_rural mProc   gdp people fin  cindus2 cindus3 stu  ins i.area i.year, r
reg C_rural lProc   gdp people fin  cindus2 cindus3 stu  ins i.area i.year, r

**区域的异质性
reg C_all Proc   gdp people fin  cindus2 cindus3 stu  ins i.area i.year if diqu==1, r
reg C_all Proc   gdp people fin  cindus2 cindus3 stu  ins i.area i.year if diqu==2, r
reg C_all Proc   gdp people fin  cindus2 cindus3 stu  ins i.area i.year if diqu==0, r

reg C_city Proc   gdp people fin  cindus2 cindus3 stu  ins i.area i.year if diqu==1, r
reg C_city Proc   gdp people fin  cindus2 cindus3 stu  ins i.area i.year if diqu==2, r
reg C_city Proc   gdp people fin  cindus2 cindus3 stu  ins i.area i.year if diqu==0, r

reg C_rural Proc   gdp people fin  cindus2 cindus3 stu  ins i.area i.year if diqu==1, r
reg C_rural Proc   gdp people fin  cindus2 cindus3 stu  ins i.area i.year if diqu==2, r
reg C_rural Proc   gdp people fin  cindus2 cindus3 stu  ins i.area i.year if diqu==0, r

**本地采购与异地采购分析
reg C_all Proc_l  gdp people fin  cindus2 cindus3 stu  ins i.area i.year , r
reg C_all Proc_r  gdp people fin  cindus2 cindus3 stu  ins i.area i.year , r

reg C_city Proc_l  gdp people fin  cindus2 cindus3 stu  ins i.area i.year , r
reg C_city Proc_r  gdp people fin  cindus2 cindus3 stu  ins i.area i.year , r

reg C_rural Proc_l  gdp people fin  cindus2 cindus3 stu  ins i.area i.year , r
reg C_rural Proc_r  gdp people fin  cindus2 cindus3 stu  ins i.area i.year , r

**采购内容的异质性分析
reg C_all Proc_goo gdp people fin  cindus2 cindus3 stu  ins i.area i.year, r
reg C_all Proc_eng gdp people fin  cindus2 cindus3 stu  ins i.area i.year, r
reg C_all Proc_ser gdp people fin  cindus2 cindus3 stu  ins i.area i.year, r

reg C_city Proc_goo gdp people fin  cindus2 cindus3 stu  ins i.area i.year, r
reg C_city Proc_eng gdp people fin  cindus2 cindus3 stu  ins i.area i.year, r
reg C_city Proc_ser gdp people fin  cindus2 cindus3 stu  ins i.area i.year, r

reg C_rural Proc_goo gdp people fin  cindus2 cindus3 stu  ins i.area i.year, r
reg C_rural Proc_eng gdp people fin  cindus2 cindus3 stu  ins i.area i.year, r
reg C_rural Proc_ser gdp people fin  cindus2 cindus3 stu  ins i.area i.year, r


*机制检验
**政府采购对居民消费需求侧的影响效应
reg income_all Proc gdp people fin  cindus2 cindus3 stu  ins i.area i.year, r
reg C_all income_all Proc c.c_income_all#c.c_Proc gdp people fin  cindus2 cindus3 stu  ins i.area i.year, r

reg income_city Proc gdp people fin  cindus2 cindus3 stu  ins i.area i.year, r
reg C_city income_city Proc c.c_income_city#c.c_Proc gdp people fin  cindus2 cindus3 stu  ins i.area i.year, r

reg income_rural Proc gdp people fin  cindus2 cindus3 stu  ins i.area i.year, r
reg C_rural income_rural Proc c.c_income_rural#c.c_Proc gdp people fin  cindus2 cindus3 stu  ins i.area i.year, r


**政府采购对居民消费供给侧的影响效应
reg Patent Proc  gdp people fin  cindus2 cindus3 stu  ins i.area i.year, r
reg C_all Patent Proc c.c_Patent#c.c_Proc gdp people fin  cindus2 cindus3 stu  ins i.area i.year, r

reg Grant Proc  gdp people fin  cindus2 cindus3 stu  ins i.area i.year, r
reg C_all Grant Proc c.c_Grant#c.c_Proc gdp people fin  cindus2 cindus3 stu  ins i.area i.year, r

reg  Labor Proc gdp people fin  cindus2 cindus3 stu  ins i.area i.year, r
reg C_all Labor Proc c.c_Labor#c.c_Proc gdp people fin  cindus2 cindus3 stu  ins i.area i.year, r

reg Wage Proc  gdp people fin  cindus2 cindus3 stu  ins i.area i.year, r
reg C_all Wage Proc c.c_Wage#c.c_Proc  gdp people fin  cindus2 cindus3 stu  ins i.area i.year, r


*进一步分析
*政府采购对国内产品消费的影响检验
reg C_all Proc Import gdp people fin  cindus2 cindus3 stu  ins i.area i.year, r
reg C_all Proc Import c.c_Import#c.c_Proc gdp people fin  cindus2 cindus3 stu  ins i.area i.year, r

reg C_city Proc Import gdp people fin  cindus2 cindus3 stu  ins i.area i.year, r
reg C_city Proc Import c.c_Import#c.c_Proc gdp people fin  cindus2 cindus3 stu  ins i.area i.year, r

reg C_rural Proc Import gdp people fin  cindus2 cindus3 stu  ins i.area i.year, r
reg C_rural Proc Import c.c_Import#c.c_Proc gdp people fin  cindus2 cindus3 stu  ins i.area i.year, r


*政府采购影响居民消费需求侧的微观效应检验  表3
use "$datapath\data_family.dta", clear
reg Income_family Proc gdp people fin  cindus2 cindus3 stu  ins  eth age  gender  employ qn qp eduy i.year i.area, r
reg Income_per Proc gdp people fin  cindus2 cindus3 stu  ins  eth age  gender  employ qn qp eduy i.year i.area, r
reg Emg_family Proc gdp people fin  cindus2 cindus3 stu  ins  eth age  gender  employ qn qp eduy i.year i.area, r
reg Fid_family Proc gdp people fin  cindus2 cindus3 stu  ins  eth age  gender  employ qn qp eduy i.year i.area, r


*政府采购对居民消费供给侧影响的进一步检验  表4 
use "$datapath\data_firm.dta", clear
reg RD_firm FProc ca ppe  debts equity cost selling iir roa  board  age i.year i.id,r
ppmlhdfe Patent_firm FProc ca ppe  debts equity cost selling iir roa  board  age , absorb(year id) vce(robust)
reg Labor_firm FProc ca ppe  debts equity cost selling iir roa  board  age i.year i.id,r
reg Wage_firm FProc ca ppe  debts equity cost selling iir roa  board  age i.year i.id,r
reg Sale_firm FProc ca ppe  debts equity cost selling iir roa  board  age i.year i.id,r
reg F.Sale_firm FProc ca ppe  debts equity cost selling iir roa  board  age i.year i.id,r
reg Pcr FProc ca ppe  debts equity cost selling iir roa  board  age i.year i.id,r
reg F.Pcr FProc ca ppe  debts equity cost selling iir roa  board  age i.year i.id,r

*政府采购比例对居民消费的影响检验
use "$datapath\data.dta", clear
reg C_all  Gov  gdp people fin  cindus2 cindus3 stu  ins i.area i.year  , r
reg C_all  Ratio1  gdp people fin  cindus2 cindus3 stu  ins i.area i.year  , r
reg C_all  Ratio2  gdp people fin  cindus2 cindus3 stu  ins i.area i.year  , r





















